import React from 'react';
import { storiesOf } from '@storybook/react';
import { withInfo } from '@storybook/addon-info';
import { withNotes } from '@storybook/addon-notes';
import { LOGO_WALL_TYPE } from '../../constants';
import LogoWallCarousel from '../LogoWallCarousel';
import defaultNotes from '../../__stories__/LogoWallCarousel.md';

const stories = storiesOf('LogoWallCarousel/Class Component', module);

stories.addDecorator(story => <div style={{ padding: '16px' }}>{story()}</div>);

stories.add(
  '預設',
  withInfo()(
    withNotes(defaultNotes)(() => {
      return <LogoWallCarousel />;
    })
  )
);

stories.add(
  '資料載入狀態',
  withInfo()(
    withNotes(defaultNotes)(() => {
      return <LogoWallCarousel type="none" />;
    })
  )
);

stories.add(
  '寬度 100%',
  withInfo()(
    withNotes(defaultNotes)(() => {
      return <LogoWallCarousel type={LOGO_WALL_TYPE.NEWS_D} width="100%" />;
    })
  )
);

stories.add(
  '設定 GA Event 接收對象',
  withInfo()(
    withNotes(defaultNotes)(() => {
      return <LogoWallCarousel dataPrefix={['data-proj-ga']} />;
    })
  )
);

stories.add(
  '首頁和總首頁改版',
  withInfo()(
    withNotes(defaultNotes)(() => {
      return <LogoWallCarousel type={LOGO_WALL_TYPE.HOMEPAGE_D} />;
    })
  )
);

stories.add(
  '外匯首頁',
  withInfo()(
    withNotes(defaultNotes)(() => {
      return <LogoWallCarousel type={LOGO_WALL_TYPE.FOREX} />;
    })
  )
);

stories.add(
  '新聞列表和內頁',
  withInfo()(
    withNotes(defaultNotes)(() => {
      return <LogoWallCarousel type={LOGO_WALL_TYPE.NEWS_D} />;
    })
  )
);

stories.add(
  '美股',
  withInfo()(
    withNotes(defaultNotes)(() => {
      return <LogoWallCarousel type={LOGO_WALL_TYPE.US_STOCK} />;
    })
  )
);
