/**
 * 靜態頁面所需的 Header 和 Footer 可以透過 `yarn build:common` 進行生成
 * 生成後的檔案會統一放置於 `src/static/dist` 目錄內
 *
 * - `comm`: 放置 Server 端使用的各頁 Header、Footer HTML 檔案和 Header Runtime 時需要使用的 Javascript
 * */

import React from 'react';
import ReactDOM from 'react-dom';
import Header from './components/Header/StaticHeader';
import headerConfig from './components/AnueNavigator/config/navs.json';

const container = document.getElementById('anue-header');
const wrapper = document.getElementById('cnyes-header-wrapper');
const channelName = typeof wrapper !== 'undefined' ? wrapper.dataset.channel : '';

ReactDOM.hydrate(<Header channelName={channelName} navs={headerConfig} apiEnv="prod" />, container);
